# API Reference <a name="API Reference" id="api-reference"></a>

## Constructs <a name="Constructs" id="Constructs"></a>

### ACMValidationConstruct <a name="ACMValidationConstruct" id="acm-auto-validate.ACMValidationConstruct"></a>

#### Initializers <a name="Initializers" id="acm-auto-validate.ACMValidationConstruct.Initializer"></a>

```typescript
import { ACMValidationConstruct } from 'acm-auto-validate'

new ACMValidationConstruct(scope: Construct, id: string, props: ACMValidationConstructProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#acm-auto-validate.ACMValidationConstruct.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#acm-auto-validate.ACMValidationConstruct.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#acm-auto-validate.ACMValidationConstruct.Initializer.parameter.props">props</a></code> | <code><a href="#acm-auto-validate.ACMValidationConstructProps">ACMValidationConstructProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="acm-auto-validate.ACMValidationConstruct.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="acm-auto-validate.ACMValidationConstruct.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="acm-auto-validate.ACMValidationConstruct.Initializer.parameter.props"></a>

- *Type:* <a href="#acm-auto-validate.ACMValidationConstructProps">ACMValidationConstructProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#acm-auto-validate.ACMValidationConstruct.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="acm-auto-validate.ACMValidationConstruct.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#acm-auto-validate.ACMValidationConstruct.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="acm-auto-validate.ACMValidationConstruct.isConstruct"></a>

```typescript
import { ACMValidationConstruct } from 'acm-auto-validate'

ACMValidationConstruct.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="acm-auto-validate.ACMValidationConstruct.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#acm-auto-validate.ACMValidationConstruct.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |

---

##### `node`<sup>Required</sup> <a name="node" id="acm-auto-validate.ACMValidationConstruct.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---


### DnsValidationRoleConstruct <a name="DnsValidationRoleConstruct" id="acm-auto-validate.DnsValidationRoleConstruct"></a>

#### Initializers <a name="Initializers" id="acm-auto-validate.DnsValidationRoleConstruct.Initializer"></a>

```typescript
import { DnsValidationRoleConstruct } from 'acm-auto-validate'

new DnsValidationRoleConstruct(scope: Construct, id: string, props: DnsValidationRoleConstructProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#acm-auto-validate.DnsValidationRoleConstruct.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | *No description.* |
| <code><a href="#acm-auto-validate.DnsValidationRoleConstruct.Initializer.parameter.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#acm-auto-validate.DnsValidationRoleConstruct.Initializer.parameter.props">props</a></code> | <code><a href="#acm-auto-validate.DnsValidationRoleConstructProps">DnsValidationRoleConstructProps</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="acm-auto-validate.DnsValidationRoleConstruct.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

---

##### `id`<sup>Required</sup> <a name="id" id="acm-auto-validate.DnsValidationRoleConstruct.Initializer.parameter.id"></a>

- *Type:* string

---

##### `props`<sup>Required</sup> <a name="props" id="acm-auto-validate.DnsValidationRoleConstruct.Initializer.parameter.props"></a>

- *Type:* <a href="#acm-auto-validate.DnsValidationRoleConstructProps">DnsValidationRoleConstructProps</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#acm-auto-validate.DnsValidationRoleConstruct.toString">toString</a></code> | Returns a string representation of this construct. |

---

##### `toString` <a name="toString" id="acm-auto-validate.DnsValidationRoleConstruct.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#acm-auto-validate.DnsValidationRoleConstruct.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |

---

##### ~~`isConstruct`~~ <a name="isConstruct" id="acm-auto-validate.DnsValidationRoleConstruct.isConstruct"></a>

```typescript
import { DnsValidationRoleConstruct } from 'acm-auto-validate'

DnsValidationRoleConstruct.isConstruct(x: any)
```

Checks if `x` is a construct.

###### `x`<sup>Required</sup> <a name="x" id="acm-auto-validate.DnsValidationRoleConstruct.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#acm-auto-validate.DnsValidationRoleConstruct.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |

---

##### `node`<sup>Required</sup> <a name="node" id="acm-auto-validate.DnsValidationRoleConstruct.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---


## Structs <a name="Structs" id="Structs"></a>

### ACMValidationConstructProps <a name="ACMValidationConstructProps" id="acm-auto-validate.ACMValidationConstructProps"></a>

#### Initializer <a name="Initializer" id="acm-auto-validate.ACMValidationConstructProps.Initializer"></a>

```typescript
import { ACMValidationConstructProps } from 'acm-auto-validate'

const aCMValidationConstructProps: ACMValidationConstructProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#acm-auto-validate.ACMValidationConstructProps.property.rolePrefix">rolePrefix</a></code> | <code>string</code> | *No description.* |
| <code><a href="#acm-auto-validate.ACMValidationConstructProps.property.zoneAccountId">zoneAccountId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#acm-auto-validate.ACMValidationConstructProps.property.zoneName">zoneName</a></code> | <code>string</code> | *No description.* |

---

##### `rolePrefix`<sup>Required</sup> <a name="rolePrefix" id="acm-auto-validate.ACMValidationConstructProps.property.rolePrefix"></a>

```typescript
public readonly rolePrefix: string;
```

- *Type:* string

---

##### `zoneAccountId`<sup>Required</sup> <a name="zoneAccountId" id="acm-auto-validate.ACMValidationConstructProps.property.zoneAccountId"></a>

```typescript
public readonly zoneAccountId: string;
```

- *Type:* string

---

##### `zoneName`<sup>Required</sup> <a name="zoneName" id="acm-auto-validate.ACMValidationConstructProps.property.zoneName"></a>

```typescript
public readonly zoneName: string;
```

- *Type:* string

---

### DnsValidationRoleConstructProps <a name="DnsValidationRoleConstructProps" id="acm-auto-validate.DnsValidationRoleConstructProps"></a>

#### Initializer <a name="Initializer" id="acm-auto-validate.DnsValidationRoleConstructProps.Initializer"></a>

```typescript
import { DnsValidationRoleConstructProps } from 'acm-auto-validate'

const dnsValidationRoleConstructProps: DnsValidationRoleConstructProps = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#acm-auto-validate.DnsValidationRoleConstructProps.property.rolePrefix">rolePrefix</a></code> | <code>string</code> | *No description.* |
| <code><a href="#acm-auto-validate.DnsValidationRoleConstructProps.property.sourceAcctId">sourceAcctId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#acm-auto-validate.DnsValidationRoleConstructProps.property.zoneAcctId">zoneAcctId</a></code> | <code>string</code> | *No description.* |

---

##### `rolePrefix`<sup>Required</sup> <a name="rolePrefix" id="acm-auto-validate.DnsValidationRoleConstructProps.property.rolePrefix"></a>

```typescript
public readonly rolePrefix: string;
```

- *Type:* string

---

##### `sourceAcctId`<sup>Required</sup> <a name="sourceAcctId" id="acm-auto-validate.DnsValidationRoleConstructProps.property.sourceAcctId"></a>

```typescript
public readonly sourceAcctId: string;
```

- *Type:* string

---

##### `zoneAcctId`<sup>Required</sup> <a name="zoneAcctId" id="acm-auto-validate.DnsValidationRoleConstructProps.property.zoneAcctId"></a>

```typescript
public readonly zoneAcctId: string;
```

- *Type:* string

---



